############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_attr_level1.pl, tmnt_etl, tmnt_5.1.2_FP03, 512ITM03_121004
#   Revision: 1.3
#   Date: 10/29/04 15:27:09
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$ATTRTYPCD = $ARGV [3];
$ATTR = $ARGV [4];
$TIME = $ARGV [5];
$FROM_TABLE2 =$ARGV [6]; 
$WHERE_CLAUSE2 =$ARGV [7]; 
$INDXCOUNT =$ARGV [8];
$GROUPBY2 =$ARGV [9];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__ATTRTYPCD/$ATTRTYPCD/g;
  $line =~ s/__ATTR/$ATTR/g;
  $line =~ s/__TIME/$TIME/g;
  $line =~ s/__FROM_TABLE2/$FROM_TABLE2/g;
  $line =~ s/__WHERE_CLAUSE2/$WHERE_CLAUSE2/g;
  $line =~ s/__INDXCOUNT/$INDXCOUNT/g;
  $line =~ s/__GROUPBY2/$GROUPBY2/g;
  print OUTDAT $line;
}
close(OUTDAT);

