############################################################################
#
#  Licensed Materials - Property of IBM
#  Product ID = 5724-C04
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: Common/src/tedw_app/amx/fixpack2/misc/insert_comp_level1_proxy.pl, tmnt_etl, tmnt_5.1.2_FP03, 512ITM03_121004
#   Revision: 1.3
#   Date: 10/29/04 15:26:57
############################################################################

$in=$ARGV [0];
$out=$ARGV [1];
$COMPTYPCD = $ARGV [2];
$COMP_CORR_VAL =$ARGV [3];
$COMP_NM =$ARGV [4];
$FROM_TABLE =$ARGV [5];
$WHERE_CLAUSE =$ARGV [6];
$INDXCOUNT =$ARGV [7];
$PAC=$ARGV [8];
$FAMILY_COMPTYPCD=$ARGV [9];
$KEY_P1 = $ARGV [10];



open(INDAT, $in) || die("could not open file $in");
open(OUTDAT, ">$out") || die("could not open file $out");
@raw_data=<INDAT>;
close(INDAT);
foreach $line (@raw_data)
{
  $line =~ s/__COMPTYPCD/$COMPTYPCD/g;
  $line =~ s/__COMP_CORR_VAL/$COMP_CORR_VAL/g;
  $line =~ s/__COMP_NM/$COMP_NM/g;
  $line =~ s/__FROM_TABLE/$FROM_TABLE/g;
  $line =~ s/__WHERE_CLAUSE/$WHERE_CLAUSE/g;
  $line =~ s/__INDXCOUNT/$INDXCOUNT/g;
  $line =~ s/__PAC/$PAC/g;
  $line =~ s/__FAMILY_COMPTYPCD/$FAMILY_COMPTYPCD/g;
  $line =~ s/__KEY_P1/$KEY_P1/g;
  print OUTDAT $line;
}
close(OUTDAT);

